import { OnInit } from '@angular/core';
import { FormControl, ValidationErrors } from '@angular/forms';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export type TConfirmUniqueInfo = {
    title?: string;
    value?: any;
    validators?: Array<(value: string) => Promise<ValidationErrors>>;
};
export declare class CdkConfirmUniqueComponent implements OnInit {
    isDialogContainer: boolean;
    data: TConfirmUniqueInfo;
    private _dialogRef;
    readonly value: FormControl<string>;
    title: string;
    readonly validators: ((value: string) => Promise<ValidationErrors>)[];
    get invalid(): boolean;
    get error(): any;
    ngOnInit(): void;
    reset(): void;
    onCancel(): void;
    onApply(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CdkConfirmUniqueComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CdkConfirmUniqueComponent, "cdk-confirm-unique", never, {}, {}, never, never, true, never>;
}
export declare function injectConfirmUnique(): <T>(info: TConfirmUniqueInfo, execution: (value: string) => Observable<T>) => Observable<T>;
